using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Receive
{
    /// <summary>
    /// 服务工单甄别结果
    /// </summary>
    public class ScreenCaseResultReceiveRequest
    {
        /// <summary>
        /// 
        /// </summary>
        public ClientInfo token { get; set; }

        /// <summary>
        /// 服务工单
        /// </summary>
        public ScreenCaseResultReceiveModel paras { get; set; }
    }
    /// <summary>
    /// 服务工单甄别结果
    /// </summary>
    public class ScreenCaseResultReceiveModel
    {
        /// <summary>
        /// 审核结果是否通过
        /// </summary>
        [JsonPropertyName("AUDIT_RESULT")]
        [MDisplayName("审核结果是否通过")]
        [VRequired]
        [VStringLength(0, 10)]
        public string AuditResult { get; set; }

        /// <summary>
        /// 审核意见
        /// </summary>
        [JsonPropertyName("AUDIT_OPINION")]
        [MDisplayName("审核意见")]
        [VRequired]
        public string AuditOpinion { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        [JsonPropertyName("AUDIT_TIME")]
        [MDisplayName("审核时间")]
        [VRequired]
        public string? AuditTime { get; set; }

        /// <summary>
        /// 审核部门
        /// </summary>
        [JsonPropertyName("AUDIT_OUNAME")]
        [MDisplayName("审核部门")]
        [VRequired]
        [VStringLength(0, 200)]
        public string AuditOuname { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        [JsonPropertyName("AUDIT_PERSON")]
        [MDisplayName("审核人")]
        [VRequired]
        [VStringLength(0, 50)]
        public string AuditPerson { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        [VRequired]
        [VStringLength(0, 50)]
        [MDisplayName("服务工单编号")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        [MDisplayName("行政区划代码")]
        [VRequired]
        [VStringLength(0, 24)]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        [MDisplayName("材料标识")]
        [VRequired]
        [VStringLength(0, 50)]
        public string CliengGuid { get; set; }
    }
}
